using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MyProject.Domain;
using Proteus.Domain.Foundation;

namespace MyProject.Services
{
    public class DomesticWarehouse : IWarehouseService
    {
        public IEnumerable<ShippingItem> GetItemsFor(Order order)
        {
            var shippingItems = new List<ShippingItem>();

            foreach (OrderItem item in order.Items)
            {
                for (int i = 0; i < item.Quantity; i++)
                {
                    shippingItems.Add(new ShippingItem(item));    
                }
            }

            return shippingItems;
        }

     }
}
