using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Proteus.Domain.Foundation;
using System.Runtime.Serialization;

namespace MyProject.Domain
{
    public interface ICustomerRepository
    {
        Customer Get(int customerId);
        void Put(Customer customer);
        IEnumerable<Customer> GetAllCustomers();
        IEnumerable<Customer> GetAllCustomersByState(string state);
    }
}
