using MyProject.Domain;
using Proteus.Domain.Foundation;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MyProject.Domain
{
    public class ShippingItem : ValueObjectBase<ShippingItem>
    {
        private bool _okToShip;

        public ShippingItem(OrderItem item)
        {
            Description = item.Description;
            _okToShip = true;
        }

        public string Description { get; set; }

        public bool OkToShip
        {
            get
            {
                return _okToShip;
            }

        }

    }
}
